Name:		python-passlib
Version:	1.5.3
Release:	%mkrel 4
Summary:	Comprehensive password hashing framework supporting over 20 schemes
Group:      Development/Python

License:	BSD and Beerware and Copyright only
URL:		http://passlib.googlecode.com
Source0:	http://passlib.googlecode.com/files/passlib-1.5.3.tar.gz

BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-setuptools
# docs generation requires python-cloud-sptheme, which isn't packaged yet.
# so we won't generate the docs yet.
#BuildRequires:	python-sphinx >= 1.0
#BuildRequires:	python-cloud-sptheme

%description
Passlib is a password hashing library for Python 2 & 3, which provides
cross-platform implementations of over 20 password hashing algorithms,
as well as a framework for managing existing password hashes. It's
designed to be useful for a wide range of tasks, from verifying a hash
found in /etc/shadow, to providing full-strength password hashing for
multi-user application.


%prep
%setup -q -n passlib-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc LICENSE README
%{python_sitelib}/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.5.3-4.mga3
+ Revision: 379241
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 neoclust <neoclust> 1.5.3-3.mga3
+ Revision: 314239
- imported package python-passlib

